package com.brilliance.isc.convert.mt9xx;

import com.brilliance.isc.swift.objmtconvert.manager.MtCreatorManager;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT296Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT996Creator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import com.brilliance.isc.swift.objmtconvert.util.Constans;
import org.junit.Test;


public class MT996Test {
    @Test
    public void test_996(){
    //构造参数传入MT报文类型
        MT996Creator mt996Creator=new MT996Creator("996");
        mt996Creator.setSendBic("PSBCCNBJXXX");
        mt996Creator.setRecvBic("CIPSCNSHXXX");
        //20
        mt996Creator.setTransactionReferenceNumber("AW191");
        //21
        mt996Creator.setRelatedReference("316ARB");
        //76
        mt996Creator.setAnswers("VALUE DATE SHOULD BE 090601"+Constans.NEW_LINE+"WE HAVE CHANGED ACCORDINGLY");
        //77A
        mt996Creator.setNarrative("/ORDERRES/BE//MEILAAN 1, 9000 GENT");
        //11a
        mt996Creator.setMtAndDateoftheOriginalMessage("950"+ Constans.NEW_LINE+"090527"+ Constans.NEW_LINE+"1234567890");
        //79
        mt996Creator.setNarrativeDescription("good job");
        MtResult mtResult = MtCreatorManager.packMT(mt996Creator);
    }
    @Test
    public void test_996_2(){
        //构造参数传入MT报文类型
        MT996Creator mt996Creator=new MT996Creator("996");
        mt996Creator.setSendBic("PSBCCNBJXXX");
        mt996Creator.setRecvBic("CIPSCNSHXXX");
        //20
        mt996Creator.setTransactionReferenceNumber("AW191AAAAAAAAAAAAAAAAAAAAAAAAAA");
        //21
        mt996Creator.setRelatedReference("316ARB");
        //76
        mt996Creator.setAnswers("VALUE DATE SHOULD BE 090601"+Constans.NEW_LINE+"WE HAVE CHANGED ACCORDINGLY");
        //77A
        mt996Creator.setNarrative("/ORDERRES/BE//MEILAAN 1, 9000 GENT");
        //11a
        mt996Creator.setMtAndDateoftheOriginalMessage("950"+ Constans.NEW_LINE+"090527"+ Constans.NEW_LINE+"1234567890");
        //79
        mt996Creator.setNarrativeDescription("good job");
        MtResult mtResult = MtCreatorManager.packMT(mt996Creator);
    }
}
